<template>
  <div class="column mt-users-available has-text-weight-bold " :class="{ 'mt-is-vide': estVide }">
    <span>{{ OFF }}/</span><span>{{ SO }}/</span><span>{{ MDR }}</span>
  </div>
</template>

<script>
export default {
  props: {
    disponibilites: {
      type: Array,
      default: () => [],
    },
  },
  computed: {
    OFF() {
      const find = this.disponibilites.find((dispo) => dispo.code === 'OFF');
      return find ? find.nombre : 0;
    },
    SO() {
      const find = this.disponibilites.find((dispo) => dispo.code === 'SO');
      return find ? find.nombre : 0;
    },
    MDR() {
      const find = this.disponibilites.find((dispo) => dispo.code === 'MDR');
      return find ? find.nombre : 0;
    },
    estVide() {
      return this.OFF + this.SO + this.MDR === 0;
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.mt-cell-date .mt-users-available {
  text-align: right;
  padding-right: 0.6rem !important;
  font-size: 0.75rem;
  color: $brown-grey;

  &.mt-is-vide {
    filter: grayscale(1);
  }
}

.out-of-scope {
  .mt-cell-date .mt-users-available {
    color: $brown-grey;
  }
}
@media screen and (max-width: 768px) {
  .mt-cell-date .mt-users-available {
    padding-right: 0 !important;
  }
}
</style>
